import VPlay 1.0
import QtQuick 1.1

EntityBase {
  id: planet
  entityType: "planet"

  property int radius: 15
  property int gravityRadius: radius*4

  Image {
    source: "../img/gravity.png"
    width: planet.gravityRadius*2
    height: planet.gravityRadius*2
    x: -planet.gravityRadius
    y: -planet.gravityRadius
  }

  Image {
    id: planetImage
    source: "../img/planet.png"
    width: planet.radius*2
    height: planet.radius*2
    x: -planet.radius
    y: -planet.radius
  }

  CircleCollider {
    id: collider
    radius: planet.radius
    friction: 1
    bodyType: Body.Static
  }

  MouseArea {
    anchors.fill: planetImage
    onClicked: {
      scene.getThatShitOfMe(planet)
    }
  }

  function getPosition() {
    return collider.body.getWorldCenter()
  }
}
